Subject: bug#19584: closed (Re: bug#19584: Problem with nil element in load-path in Emacs 24.4)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 13 Jan 2015 16:46:02 +0000

Your bug report

#19584: Problem with nil element in load-path in Emacs 24.4

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
19584: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=19584
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#19584: Problem with nil element in load-path in Emacs 24.4
From: Glenn Morris <[email-masked]>
To: [email-masked]
Date: Tue, 13 Jan 2015 11:45:11 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Version: 24.5

Håkon Hægland wrote:

> I just installed Emacs 24.4 from source (on Ubuntu 14.04). I now get the
> following error when running Emacs:
>
> Debugger entered--Lisp error: (wrong-type-argument stringp nil)

Thanks for the report. This is already fixed for the next release:

http://lists.gnu.org/archive/html/emacs-diffs/2014-11/msg00152.html

Subject: Problem with nil element in load-path in Emacs 24.4
From: Håkon Hægland <[email-masked]>
To: [email-masked]
Date: Tue, 13 Jan 2015 13:43:38 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

I just installed Emacs 24.4 from source (on Ubuntu 14.04). I now get the
following error when running Emacs:

Debugger entered--Lisp error: (wrong-type-argument stringp nil)
  string-match("/[._]emacs\\.d/?\\'" nil nil)
  command-line()
  normal-top-level()
For debugging, I reduced my ~/.emacs init file to:

(setq debug-on-error t)
(add-to-list 'load-path nil)

Then the error occurs only when starting Emacs with two arguments, where
the first argument is an option, for example --no-splash, and the second
argument is a file name with a suffix, for example a.txt. Some other
observations:

If I remove the option (--no-splash) it works fine,
if I remove the line (add-to-list 'load-path nil) it works fine,
if I run with Emacs v. 24.3 it works fine,
if I change nil to ".", in ~/.emacs it works fine,
if I remove the suffix from the file name, that is: changing a.txt to a, I
get another error: Args out of range: 0.

M-x emacs-version:

GNU Emacs 24.4.1 (x86_64-unknown-linux-gnu, GTK+ Version 3.10.8) of
2015-01-11 on hakon-ThinkPad-Edge-E540

I built Emacs 24.4.1 from source, using with `--with-xft` option to
configure.

This report was first ask as a question on http://emacs.stackexchange.com/

See the following link:

http://emacs.stackexchange.com/questions/7295/problem-with-nil-element-in-load-path-in-emacs-24-4

Best regards,
Håkon Hægland